lc = 1.0;

Point(1) = {-5, -5, -10, lc};
Point(2) = { 5, -5, -10, lc};
Point(3) = { 5,  5, -10, lc};
Point(4) = {-5,  5, -10, lc};
Point(5) = {-5, -5, 0, lc};
Point(6) = { 5, -5, 0, lc};
Point(7) = { 5,  5, 0, lc};
Point(8) = {-5,  5, 0, lc};

Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};
Line(5) = {5, 6};
Line(6) = {6, 7};
Line(7) = {7, 8};
Line(8) = {8, 5};
Line(9) = {1, 5};
Line(10) = {2, 6};
Line(11) = {3, 7};
Line(12) = {4, 8};

Curve Loop(1) = {1, 2, 3, 4}; // Btm
Curve Loop(2) = {5, 6, 7, 8}; // Top
Curve Loop(3) = {4, 9, -8, -12}; // West
Curve Loop(4) = {2, 11, -6, -10}; // East
Curve Loop(5) = {1, 10, -5, -9}; // South
Curve Loop(6) = {3, 12, -7, -11}; // North

Plane Surface(1) = {1};
Plane Surface(2) = {2};
Plane Surface(3) = {3};
Plane Surface(4) = {4};
Plane Surface(5) = {5};
Plane Surface(6) = {6};

Surface Loop(1) = {2, 5, 3, 1, 4, 6};
Volume(1) = {1};

Physical Surface("Bottom", 1) = {1};
Physical Surface("Top", 2) = {2};
Physical Surface("West", 3) = {3};
Physical Surface("East", 4) = {4};
Physical Surface("South", 5) = {5};
Physical Surface("North", 6) = {6};
Physical Volume("Shell", 7) = {1};

Mesh 2;
Mesh.MshFileVersion = 2.2;
Save "prism_f.msh";